Description

PREMESSA:

Vista la negligenza di alcuni studenti e docenti nel cambiarsi la password al primo accesso durante inizio anno scolastico, e vista la
necessita di promuovere un sistema il pit possibile sicuro per la salvaguardia del proprio profilo nella rete scolastica, si chiede
quanto segue:

RICHIESTA:
1) Cambio forzato della password al primo login per ogni nuovo utente della rete.
2) Sarebbe utile poter avere tracciabilita in OCTONET dell'avvenuto cambio password dei vari utenti e magari in quale giorno e ora.

Associated revisions

Revision 2da82c9e - 07/27/2018 04:17 PM - Mark Caglienzi

Use the functionality of newer octofussd to set shadowLastChange when mass importing users via a CSV file. refs #12214 #352

Revision 8994912d - 07/27/2018 04:28 PM - Mark Caglienzi
Packaging work for 0.2.37-1. refs #352

History

#1 - 07/20/2017 10:32 AM - Elena Grandi
- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Riassegno per richiesta di approvazione per I'implementazione di nuove feature.

#2 - 08/03/2017 12:59 PM - Paolo Dongilli

Messo in cantiere. Viene sviluppato appena possibile.

#3 - 08/23/2017 05:38 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from Paolo Dongilli to Andrea Padovan

Abbiamo aggiunto (non ancora rilasciato) la possibilita’ di vedere la data/ora di ultimo cambio password all'interno di octonet.
Il dubbio €' sul primo punto, cioe' che quando si crea un utente obbligarlo al cambio password, mi spiego:

e Se importo 10000 utenti via CSV e nel file CSV ci sono le password, anche per questi va fatta questa impostazione? che magari si tengono il
dettaglio iniziale e poi si dimenticano la password impostata al primo login

e Se creo un tot di utenti in massa (tipo ospite{n}), anche per loro? Sono utenza riutilizzate in qualche modo? Perche' se li obblighiamo a
cambiarla al primo login, non essendo utenti "stabili" poi magari se la dimenticano e bisogna tirare in mezzo un amministratore per reimpostarla

Proposte ce ne sono diverse:

e Eseguire il punto 1 come descritto, se i dubbi di cui sopra non sono un problema (che e' un problema pratico, non tecnico)

e Lasciare solo la visualizzazione di quando e' stata cambiata la password, e "sgridare" che non I'na fatto

¢ Eseguire l'impostazione solo per utenti creati singolarmen

e Aggiungere a tutti i form di creazione utente (singolo, import csv, create in massa) un flag per dire "questi utenti devono cambiare password al
primo login"
Che ne pensate?

#4 - 04/24/2018 11:11 AM - Paolo Dongilli

- Assignee changed from Andrea Padovan to Christopher R. Gabriel

Ciao Christopher,
questo ticket non doveva rimanere bloccato in quanto molto importante. Comunque questo € quanto chiediamo:

1) cambio password forzato per TUTTI gli utenti appartenenti ad uno o pitl gruppi indicati in OctoNet. Il gruppo "docenti" pud essere messo come
gruppo di default.

2) questo potete gia metterlo in produzione.

#5 - 06/13/2018 03:36 PM - Simone Piccardi
- Assignee changed from Christopher R. Gabriel to Mark Caglienzi

#6 - 08/20/2018 02:42 PM - Paolo Dongilli

- Priority changed from Alta to Bassa

Abbassata priorita in quanto per ora almeno & implementato per il gruppo docenti.
